### async_result< std::packaged_task< Result(Args...)>, Signature >

Partial specialisation of `async_result` for `std::packaged_task`.

    template<
        typename Result,
        typename... Args,
        typename Signature>
    class async_result< std::packaged_task< Result(Args...)>, Signature >

##### Types

Name | Description
--- | ---
completion_handler_type | The packaged task is the concrete completion handler type.
return_type | The return type of the initiating function is the future obtained from the packaged task.

##### Member Functions

Name | Description
--- | ---
async_result | The constructor extracts the future from the packaged task.
get | Returns the packaged task's future.

##### Requirements

Header: `asio/packaged_task.hpp`

Convenience header: `asio.hpp`